package com.engine.organization.annotation;

import java.lang.annotation.*;

/**
 * @Author dxfeng
 * @Description:
 * @Date 2022/5/9
 * @Version V1.0
 **/
@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface OrganizationTableColumn {

    String text() default "";

    int labelId() default -1;

    String width() default "";

    String column() default "";

    boolean display() default true;

    String orderkey() default "";

    String transmethod() default "";

    // 额外参数
    String otherPara() default "";
}
